> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get detailed information about a specific Bitcoin inscription including content, metadata, and ownership details.

# Inscription Info



## OpenAPI

````yaml bitcoin/blockchain-indexer-api/openapi.json get /assets/inscriptions/{inscription_id}
openapi: 3.0.3
info:
  title: Bitcoin - Blockchain Indexer API
  description: >-
    This API provides core indexer endpoints with support for Bitcoin
    metaprotocols by delivering real-time, rollback-protected access to
    Bitcoin's UTXO data, enabling developers to build responsive and reliable
    blockchain applications without managing complex infrastructure.


    #### Key Features:

    - **Real-Time Data with Rollback Protection:** Ensures data accuracy by
    handling chain reorganizations gracefully, providing live data without
    sacrificing integrity.

    - **Comprehensive UTXO Indexing:** Specialized pipelines extract, match, and
    process on-chain information, including handling rollbacks, to provide
    accurate and up-to-date data.


    #### Key Benefits for Developers:

    By abstracting the complexities of blockchain data retrieval and processing,
    Maestro's Bitcoin Indexer API empowers developers to focus on building
    innovative applications with confidence in fast and reliable access to
    historical chain data.
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v0.2.0
servers:
  - url: https://xbt-mainnet.gomaestro-api.org/v0
    description: Bitcoin Mainnet
  - url: https://xbt-testnet.gomaestro-api.org/v0
    description: Bitcoin Testnet
security:
  - api-key: []
paths:
  /assets/inscriptions/{inscription_id}:
    get:
      tags:
        - Inscriptions
      summary: Inscription Info
      description: >-
        Delivers information about a specific inscription, including its type,
        current location (UTXO and address), associated collection, and metadata
        like size and content preview (if text-based). Supports resolution of
        any inscription for wallet or explorer views.

        A preview of the content body is given only if its type is
        `"text/plain"`. For the whole content, use the complementary endpoint,
        namely `/assets/inscriptions/{inscription_id}/content_body`.
      operationId: inscription_info
      parameters:
        - name: inscription_id
          in: path
          description: Inscription ID
          required: true
          schema:
            type: string
          example: 43cb5e2d66f5af8eb04391ef3d4048edc30a1f9edad594f83609fd7861a0f5e1i0
      responses:
        '200':
          description: Requested data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimestampedInscriptionInfo'
              example:
                data:
                  collection_symbol: kikalepuppete
                  content_body_preview: null
                  content_length: 934
                  content_type: text/html
                  created_at: 867795
                  current_location:
                    address: >-
                      bc1pyae5wn0hxwestrxg4vmwrw58stwzkhp64le0uulahj8xzp5ruz8s3m6xh7
                    script_pubkey: >-
                      51202773474df733b3058cc8ab36e1ba8782dc2b5c3aaff2fe73fdbc8e610683e08f
                    utxo_sat_offset: 0
                    utxo_txid: >-
                      471852c0dff23a9d345a4550db8a5ff1a9cd0c1ff8e91f344762fba9a1bf000f
                    utxo_vout: 1
                  inscription_id: >-
                    43cb5e2d66f5af8eb04391ef3d4048edc30a1f9edad594f83609fd7861a0f5e1i0
                  inscription_number: 76800550
                last_updated:
                  block_hash: >-
                    000000000000000000018ebea33e7361bc4059eb6ff35d0a80836717accfc4a9
                  block_height: 888637
        '400':
          description: Malformed query parameters
        '404':
          description: Requested entity not found on-chain
        '500':
          description: Internal server error
components:
  schemas:
    TimestampedInscriptionInfo:
      type: object
      required:
        - data
        - last_updated
      properties:
        data:
          $ref: '#/components/schemas/InscriptionInfo'
        last_updated:
          $ref: '#/components/schemas/ChainTip'
    InscriptionInfo:
      type: object
      required:
        - inscription_id
        - created_at
        - current_location
        - content_length
      properties:
        collection_symbol:
          type: string
          description: Symbol of collection that the inscription belongs to.
          nullable: true
        content_body_preview:
          type: string
          description: >-
            Preview of inscription content body raw data. Max: 100 bytes.

            Supported types: "text/plain", "text/plain;charset=utf-8",
            "application/json".
          nullable: true
        content_length:
          type: integer
          format: int64
          description: Length of entire inscription content body bytes array.
          minimum: 0
        content_type:
          type: string
          description: Type of the content body.
          nullable: true
        created_at:
          type: integer
          format: int64
          description: Block height of the reveal transaction.
          minimum: 0
        current_location:
          $ref: '#/components/schemas/InscriptionLocation'
        inscription_id:
          type: string
          description: >-
            String representation of the inscription ID, whose first coordinate
            is the reveal

            transaction hash, and the second coordinate is the index of
            inscription in the reveal

            transaction.
        inscription_number:
          type: integer
          format: int64
          description: Global inscription number.
          nullable: true
          minimum: 0
    ChainTip:
      type: object
      required:
        - block_hash
        - block_height
      properties:
        block_hash:
          type: string
          description: The hash of the block
          example: 0000000000000000000a7f3b7b6b6e1d9a18db65a3b4a3f4f3bcb2e1f1b2d3e7
        block_height:
          type: integer
          format: int64
          description: The height of the block in the blockchain
          example: 707000
          minimum: 0
    InscriptionLocation:
      type: object
      required:
        - script_pubkey
        - utxo_sat_offset
        - utxo_txid
        - utxo_vout
      properties:
        address:
          type: string
          description: >-
            Address-encoding of the script pubkey currenty controlling the
            inscription.
          nullable: true
        script_pubkey:
          type: string
          description: Script pubkey currently controlling the inscription.
        utxo_sat_offset:
          type: integer
          format: int64
          description: Inscribed sat offset in the UTxO containing the inscription.
          minimum: 0
        utxo_txid:
          type: string
          description: Transaction ID of the UTxO containing the inscription.
        utxo_vout:
          type: integer
          format: int32
          description: Output index of the UTxO containing the inscription.
          minimum: 0
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````